CVE-2024-21098

Name
CVE-2024-21098
Description
Vulnerability in the Oracle GraalVM for JDK, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: Compiler). Supported versions that are affected are Oracle GraalVM for JDK: 17.0.10, 21.0.2, 22; Oracle GraalVM Enterprise Edition: 20.3.13 and 21.3.9. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle GraalVM for JDK, Oracle GraalVM Enterprise Edition. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Oracle GraalVM for JDK, Oracle GraalVM Enterprise Edition. CVSS 3.1 Base Score 3.7 (Availability impacts). CVSS Vector: (CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L).
NVD Severity
unknown
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
secalert_us@oracle.com https://www.oracle.com/security-alerts/cpuapr2024.html

Match rules

CPE URI Source package Min version Max version

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
openjdk17 edge-community 17.0.11_p9-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk21 edge-community 21.0.3_p9-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk17 3.19-community 17.0.11_p9-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk21 3.19-community 21.0.3_p9-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk17 3.20-community 17.0.11_p9-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk21 3.20-community 21.0.3_p9-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed